import { useNavigate } from "react-router-dom";
import LoginPageTemplate from "../components/templates/LoginPageTemplate";
import useLocalStorage from "../hooks/useLocalStorage";

const LoginPage = () => {
	const [, setIsLoggedIn] = useLocalStorage("isLoggedIn", false);
	const navigate = useNavigate();
	const handleLogin = () => {
		setIsLoggedIn(true);
	};
	const onClickGetStarted = () => {
		navigate("/more");
	};

	return (
		<LoginPageTemplate
			handleLogin={handleLogin}
			getStartedOnClick={onClickGetStarted}
		/>
	);
};

export default LoginPage;
